gstreamermm: Gst::FileSink Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::FileSink Class Reference
gstreamermm Plugins

A Wrapper for the filesink plugin. More...

Inheritance diagram for Gst::FileSink:
[legend]
Collaboration diagram for Gst::FileSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~FileSink ()
GstFileSink* | gobj ()
| Provides access to the underlying C GObject.
const GstFileSink* | gobj () const
| Provides access to the underlying C GObject.
GstFileSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_location ()
| Location of the file to write.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_location () const
| Location of the file to write.
Glib::PropertyProxy < Gst::FileSinkBufferMode > | property_buffer_mode ()
| The buffering mode to use.
Glib::PropertyProxy_ReadOnly < Gst::FileSinkBufferMode > | property_buffer_mode () const
| The buffering mode to use.
Glib::PropertyProxy< guint > | property_buffer_size ()
| Size of buffer in number of bytes for line or full buffer-mode.
Glib::PropertyProxy_ReadOnly < guint > | property_buffer_size () const
| Size of buffer in number of bytes for line or full buffer-mode.
Glib::PropertyProxy< bool > | property_append ()
| Append to an already existing file.
Glib::PropertyProxy_ReadOnly < bool > | property_append () const
| Append to an already existing file.
## Static Public Member Functions
static Glib::RefPtr< FileSink > | create ()
| Creates a new filesink plugin with a unique name.
static Glib::RefPtr< FileSink > | create (const Glib::ustring& name)
| Creates a new filesink plugin with the given name.
## Protected Member Functions
| FileSink ()
| FileSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::FileSink > | wrap (GstFileSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the filesink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FileSink::~FileSink | ( |  | ) | `[virtual]`

Gst::FileSink::FileSink | ( |  | ) | `[protected]`

Gst::FileSink::FileSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FileSink> Gst::FileSink::create | ( |  | ) | `[static]`

Creates a new filesink plugin with a unique name.

static Glib::RefPtr<FileSink> Gst::FileSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new filesink plugin with the given name.

const GstFileSink* Gst::FileSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstFileSink* Gst::FileSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstFileSink* Gst::FileSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Glib::PropertyProxy_ReadOnly<bool> Gst::FileSink::property_append | ( |  | ) | const

Append to an already existing file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FileSink::property_append | ( |  | ) |

Append to an already existing file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::FileSinkBufferMode> Gst::FileSink::property_buffer_mode | ( |  | ) | const

The buffering mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::FileSinkBufferMode> Gst::FileSink::property_buffer_mode | ( |  | ) |

The buffering mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::FileSink::property_buffer_size | ( |  | ) |

Size of buffer in number of bytes for line or full buffer-mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::FileSink::property_buffer_size | ( |  | ) | const

Size of buffer in number of bytes for line or full buffer-mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::FileSink::property_location | ( |  | ) | const

Location of the file to write.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::FileSink::property_location | ( |  | ) |

Location of the file to write.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FileSink > wrap | ( | GstFileSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/filesink.h